﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Sugar.Enties
{
    public class HouseMeterDTO
    {

        /// <summary>
        /// 房产编号
        /// </summary>
        public string hcode { get; set; }
        /// <summary>
        /// 房产名称
        /// </summary>
        public string hname { get; set; }
        /// <summary>
        /// 数据总数
        /// </summary>
        public int totalcount { get; set; }
        /// <summary>
        /// 仪表列表
        /// </summary>
        public List<Meter> meters { get; set; }
    }


    public class Meter
    {
        /// <summary>
        /// 业主
        /// </summary>
        public string ownername { get; set; }
        /// <summary>
        /// 仪表名称
        /// </summary>
        public string metername { get; set; }
        /// <summary>
        /// 仪表编码
        /// </summary>
        public string pk_meterid { get; set; }
        /// <summary>
        /// 上次表数
        /// </summary>
        public decimal amount { get; set; }
        /// <summary>
        /// 上次日期
        /// </summary>
        public string edate { get; set; }
        /// <summary>
        /// 仪表类型名称
        /// </summary>
        public string metertypename { get; set; }
        /// <summary>
        /// 填写表数
        /// </summary>
        public decimal sum { get; set; }



    }
}
