﻿using Sugar.Enties.DbModels;
using System;
using System.Collections.Generic;
using System.Text;

namespace Sugar.Enties.DTO
{
    public class InspectionDTO
    {
        /// <summary>
        /// 巡更路线code
        /// </summary>
        public int routeCode { get; set; }


        /// <summary>
        /// 项目
        /// </summary>
        public string pCode { get; set; }
    }

    public class RouteDetail
    {
        public string pointCode { get; set; }


        public int sort { get; set; }
        public string routeCode { get; set; }
        public string routeName { get; set; }

        public string pCode { get; set; }
        public string pName { get; set; }

        public string bName { get; set; }

        public string hName { get; set; }



    }


    public class InspectionPlanDTO
    { 
        /// <summary>
        /// 计划标识
        /// </summary>
        public int planCode { get; set; }

        /// <summary>
        /// 巡更人员code(code1,code2)
        /// </summary>
        public string userStr { get; set; }
    
    
    }


    public class InspectionParamDTO
    { 
        public int autoid { get; set; }       

        public string reamrk { get; set; }    

        /// <summary>
        /// 图片地址
        /// </summary>
        public List<file> fileList { get; set; }

    }



    public class InspectionEmployeePlanParam
    {
        public int userid { get; set; }

        public string plandate { get; set; }

    }

    public class InspectionEmployeePlanDTO
    {

        public string userids { get; set; }

        public string usernames { get; set; }

        public string plandate { get; set; }

        public string plantime { get; set; }

        public int plancode { get; set; }

        public string planname { get; set; }

        //巡检进度
        public string planprogress { get; set; }

        //状态  0 即将开始   1 开始巡逻   2 已结束
        public string planstatus { get; set; }

        public int totalcount { get; set; }

        public List<inspectionplandetail> plandetail { get; set; }

    }





    public class inspectionplandetail:fdc_pm_inspection_plandetail
    { 
        //巡更点名称
        public string pointname { get; set; }

        //路线名称
        public string routename { get; set; }

        //楼栋
        public string bname { get; set; }

        //房间
        public string hname { get; set; }
        
    }



    /// <summary>
    /// NFC巡更
    /// </summary>
    public class NfcScanDTO
    { 
        /// <summary>
        /// 用户ID
        /// </summary>
         public string userId { get; set; }

        /// <summary>
        /// 巡更点编号
        /// </summary>
         public string pointCode { get; set; }
      
    }
}
