﻿using System.Collections.Generic;

namespace Sugar.Enties
{
    /// <summary>
    /// 项目楼栋
    /// </summary>
    public class ProjectBuildDTO
    {
        /// <summary>
        /// 项目编号
        /// </summary>
        public string Pcode { get; set; }
        /// <summary>
        /// 项目名称
        /// </summary>
        public string Pname { get; set; }
        /// <summary>
        /// 楼栋列表
        /// </summary>
        public List<Build> builds { get; set; }
    }

    public class Project
    {
        /// <summary>
        /// 项目编号
        /// </summary>
        public string Pcode { get; set; }
        /// <summary>
        /// 项目名称
        /// </summary>
        public string Pname { get; set; }
    }
    /// <summary>
    /// 楼栋
    /// </summary>
    public class Build
    {
        /// <summary>
        /// 楼栋编号
        /// </summary>
        public string Bcode { get; set; }
        /// <summary>
        /// 楼栋名称
        /// </summary>
        public string Bname { get; set; }
    }
}
