﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Sugar.Enties
{
    // 微信支付数据
   public class WxPayDTO
    {
        /// <summary>
        /// 公众号名称
        /// </summary>
        public string AppId { get; set; }
        /// <summary>
        /// 时间戳，自1970年以来的秒数
        /// </summary>
        public string TimeStamp { get; set; }
        /// <summary>
        /// 随机串
        /// </summary>
        public string NonceStr { get; set; }
        /// <summary>
        /// 用户编号
        /// </summary>
        public string Package { get; set; }
        /// <summary>
        /// 微信签名方式：
        /// </summary>
        public string SignType { get; set; }
        /// <summary>
        /// 微信签名
        /// </summary>
        public string PaySign { get; set; }
        /// <summary>
        /// 下单id
        /// </summary>
        public string PrepayId { get; set; }
        /// <summary>
        /// 返回信息
        /// </summary>
        public string ResultCode { get; set; }
        /// <summary>
        /// 返回信息
        /// </summary>
        public string ReturnCode { get; set; }
        /// <summary>
        /// 返回信息
        /// </summary>
        public string ErrCode { get; set; }
        /// <summary>
        /// 返回信息
        /// </summary>
        public string ErrCodeDes { get; set; }
        /// <summary>
        /// 订单号
        /// </summary>
        public string OutTradeNo { get; set; }

    }
}
