﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace Sugar.Enties.DbModels
{
    [SugarTable("fdc_pm_inspection_route")]
    public partial class fdc_pm_inspection_route
    {
        
        public fdc_pm_inspection_route() { 
        
        }             


        /// <summary>
        /// Desc:巡更路线标识
        /// Default:
        /// Nullable:False
        /// </summary>       
        [SugarColumn(IsPrimaryKey = true,IsIdentity = true)]
        public int routecode { get; set; }

        /// <summary>
        /// Desc:巡更路线名称
        /// Default:
        /// Nullable:True
        /// </summary>       
        public string routename { get; set; }


        /// <summary>
        /// Desc:项目名称
        /// Default:
        /// Nullable:True
        /// </summary>       
        public string pcode { get; set; }


        /// <summary>
        /// Desc:是否删除
        /// Default:
        /// Nullable:True
        /// </summary>  
        public bool isdel { get; set; }

        /// <summary>
        /// Desc:创建时间
        /// Default:
        /// Nullable:True
        /// </summary>  
        public DateTime createtime { get; set; }
    }
}
