﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace Sugar.Enties.DbModels
{
   [SugarTable("fdc_pm_inspection_routedetail")]
   public partial class fdc_pm_inspection_routedetail
    {
        
        public fdc_pm_inspection_routedetail() { 
        }

        /// <summary>
        /// Desc:自增列
        /// Default:
        /// Nullable:False
        /// </summary>      
        [SugarColumn(IsIdentity = true,IsPrimaryKey =true)]
        public int autoid { get; set; }


        /// <summary>
        /// Desc:路线标识
        /// Default:
        /// Nullable:False
        /// </summary>   
        public int routecode { get; set; }

        /// <summary>
        /// Desc:巡检点标识
        /// Default:
        /// Nullable:False
        /// </summary>   
        public string pointcode { get; set; }


        /// <summary>
        /// Desc:排序
        /// Default:
        /// Nullable:False
        /// </summary>   
        public int sort { get; set; }

        /// <summary>
        /// Desc:是否删除
        /// Default:
        /// Nullable:True
        /// </summary>  
        public bool isdel { get; set; }

        /// <summary>
        /// Desc:创建时间
        /// Default:
        /// Nullable:True
        /// </summary>  
        public DateTime createtime { get; set; }


    }
}
