﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace Sugar.Enties.DbModels
{
    /// <summary>
    /// 巡更点
    /// </summary>
    [SugarTable("fdc_pm_inspection_point")]
    public partial class fdc_pm_inspection_point
    {
        public fdc_pm_inspection_point() { 
        
        }


        /// <summary>
        /// Desc:自动序号
        /// Default:
        /// Nullable:False
        /// </summary>           
        [SugarColumn(IsIdentity = true)]
        public int autoid { get; set; }


        /// <summary>
        /// Desc:巡更点唯一标识
        /// Default:
        /// Nullable:False
        /// </summary>      
        [SugarColumn(IsPrimaryKey =true)]
        public string pointcode { get; set; }


        /// <summary>
        /// Desc:巡更点名称
        /// Default:
        /// Nullable:True
        /// </summary>             
        public string pointname { get; set; }

        /// <summary>
        /// Desc:项目
        /// Default:
        /// Nullable:True
        /// </summary>  
        public string pcode { get; set; }

        /// <summary>
        /// Desc:楼栋
        /// Default:
        /// Nullable:True
        /// </summary>  
        public string bcode { get; set; }

        /// <summary>
        /// Desc:房间
        /// Default:
        /// Nullable:True
        /// </summary>  
        public string hcode { get; set; }

        /// <summary>
        /// Desc:是否删除
        /// Default:
        /// Nullable:True
        /// </summary>  
        public bool isdel { get; set; }

        /// <summary>
        /// Desc:创建时间
        /// Default:
        /// Nullable:True
        /// </summary>  
        public DateTime createtime { get; set; }
    }
}
